Get Source List

1. API Description

Get source list.

Request mode: GET [ip]/api/source/list

Administrator Rights Login Authentication
No Yes

2. Input Parameters

Parameter Description
type Source type: static for manually added sources, ndi for discovered NDI sources, all for all sources. If this field is not filled, manually added sources are provided by default

3. Output Parameters

Parameter Type Description
status Int Status code
static Array source list. Present when type parameter is all, as the list of static sources
ndi Array source list. Present when type parameter is all, as the list of NDI sources
list Array source list. Present when type parameter is ndi or static
selected Int ID of the currently selected source, only present in simple mode
mode Int Configuration Mode
source
Parameter Type Description
id Int Source ID
config Struct Refer to Source Configuration
protocol Int Protocol Type
p-use Array Which profiles use it, array of profile IDs
Source Configuration

Depending on the value of the type field, the content of the config field varies. When type is 1, the config field is URL Source; when type is 2, the config field is Dynamic NDI Source; when type is 3, the config field is Custom NDI Source.

URL Source
Parameter Type Description
name String Name
type Int Configuration type, fixed to 1
url String Source address
hotkey String Hotkey
Dynamic NDI Source
Parameter Type Description
name String Name
type Int Configuration type, fixed to 2 for dynamic NDI sources
ndi Struct NDI Information
NDI Information
Parameter Type Description
name String NDI Name
url String NDI Address
Custom NDI Source
Parameter Type Description
name String Name
type Int Configuration type, value is 3
buffer-ms Int Buffer time, unit: milliseconds
ndi Struct Custom NDI Source Configuration
hotkey String Hotkey
Custom NDI Source Configuration
Parameter Type Description
name String Name, optional
url String NDI address, optional
transport String Transport type, string format, supports: auto, rudp, udp, multicast, multi-tcp, tcp
pts-mode String Timestamp type, string format, supports: auto, timecode, timestamp
low-bw Boolean Boolean type, whether to enable low bandwidth mode

4. Example

Get all types of sources

Input Example
GET /api/source/list?type=all
Output Example
{
  "mode": 2,
  "ndi": [
    {
      "config": {
        "hotkey": "none",
        "name": "ULTRA ENCODE Test (C315230423002-2)",
        "ndi": {
          "name": "ULTRA ENCODE Test (C315230423002-2)",
          "url": "10.10.33.113:5984"
        },
        "type": 2
      },
      "id": 10017,
      "in-use": 2,
      "p-use": [1, 3, 4],
      "protocol": 64
    },
    {
      "config": {
        "hotkey": "none",
        "name": "ULTRA ENCODE AIO (B313230314057-fly)",
        "ndi": {
          "name": "ULTRA ENCODE AIO (B313230314057-fly)",
          "url": "10.10.39.130:6062"
        },
        "type": 2
      },
      "id": 10041,
      "in-use": 2,
      "p-use": [2],
      "protocol": 64
    },
    {
      "config": {
        "hotkey": "none",
        "name": "ULTRA ENCODE QUAD SDI (0BA317240301001)",
        "ndi": {
          "name": "ULTRA ENCODE QUAD SDI (0BA317240301001)",
          "url": "10.10.35.36:5961"
        },
        "type": 2
      },
      "id": 10009,
      "in-use": 0,
      "protocol": 64
    }
  ],
  "static": [
    {
      "config": {
        "hotkey": "none",
        "name": "SRT Server",
        "type": 1,
        "url": "srt://0.0.0.0:8000?mode=listener&latency=120&mw-buffer-duration=60&mw-audio-track=1"
      },
      "id": 1,
      "in-use": 0,
      "protocol": 2
    },
    {
      "config": {
        "buffer-ms": 60,
        "hotkey": "none",
        "name": "ULTRA ENCODE Test (C315230423002-2)",
        "ndi": {
          "low-bw": false,
          "name": "ULTRA ENCODE Test (C315230423002-2)",
          "pts-mode": "auto",
          "transport": "auto",
          "url": "1.1.1.1"
        },
        "type": 3
      },
      "id": 4,
      "in-use": 0,
      "protocol": 64
    }
  ],
  "status": 0
}

results matching ""

    No results matching ""

    results matching ""

      No results matching ""